=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 crudini,
 python-babel (>= 2.3.4),
 python-bashate (>= 0.5.1),
 python-bcrypt (>= 3.1.3),
 python-coverage (>= 4.0),
 python-cryptography (>= 1.9),
 python-dogpile.cache (>= 0.6.2),
 python-fixtures (>= 3.0.0),
 python-freezegun (>= 0.3.6),
 python-hacking (>= 0.12.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-ldap,
 python-ldappool (>= 2.0.0),
 python-lxml (>= 3.4.1),
 python-memcache,
 python-migrate (>= 0.11.0),
 python-mock (>= 2.0.0),
 python-msgpack (>= 0.4.0),
 python-oauthlib (>= 0.6.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-passlib (>= 1.7.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pep8,
 python-pycadf (>= 1.1.0),
 python-pymongo,
 python-pymysql,
 python-pysaml2 (>= 4.0.2),
 python-requests (>= 2.14.2),
 python-routes (>= 2.3.1),
 python-scrypt (>= 0.8.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stestr (>= 1.0.0),
 python-stevedore (>= 1:1.20.0),
 python-tempest (>= 1:17.1.0),
 python-testresources (>= 2.0.0),
 python-testtools (>= 2.2.0),
 python-tz (>= 2013.6),
 python-webob (>= 1:1.7.1),
 python-webtest (>= 2.0.27),
Standards-Version: 4.1.2
XS-Python-Version: >= 2.7
Homepage: http://launchpad.net/keystone
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
XS-Testsuite: autopkgtest

Package: keystone
Architecture: all
Section: python
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi,
 python-keystone (= ${source:Version}),
 ssl-cert (>= 1.0.12),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 ${misc:Recommends},
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

Package: python-keystone
Architecture: all
Section: python
Depends:
 python-babel (>= 2.3.4),
 python-bcrypt (>= 3.1.3),
 python-cryptography (>= 1.9),
 python-dogpile.cache (>= 0.6.2),
 python-jsonschema (>= 2.6.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-migrate (>= 0.11.0),
 python-msgpack (>= 0.4.0),
 python-oauthlib (>= 0.6.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-passlib (>= 1.7.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-pycadf (>= 1.1.0),
 python-pymysql,
 python-pysaml2 (>= 4.0.2),
 python-routes (>= 2.3.1),
 python-scrypt (>= 0.8.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-tz (>= 2013.6),
 python-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-ldappool (>= 2.0.0),
 python-memcache,
 python-pyldap (>= 2.4.20),
Provides:
 ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack identity service - Python library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python libraries.
