=== debian/changelog ===
keystone (2:14.0.0-0ubuntu2) cosmic; urgency=medium

  * d/control: Set min python-oslo.log to rocky version (3.39.0) as
    requirements.txt min version is too low (LP: #1793347).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Sep 2018 11:15:39 +0200

keystone (2:14.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:32:45 -0400

keystone (2:14.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * d/keystone-common.apache2->keystone.apache2: Move apache2 site
    back to keystone package; its not common configuration and causes
    issues when python{3}-keystone is used by other packages that make
    use of Apache.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Aug 2018 08:33:28 +0100

keystone (2:14.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * d/control: Align (Build-)Depends with upstream.
  * New upstream release candidate for OpenStack Rocky.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2018 17:24:41 +0100

keystone (2:14.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 10:07:43 -0400

keystone (2:14.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-keystone package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-keystone Depends.
    - d/control: Make python(3)-keystone conflict against each other.
    - d/control, d/rules, d/*.apache2, d/*.dirs, d/*.install, d/*.logrotate,
      d/*.manpages: Move common files to keystone-common and have python(3)-keystone
      depend on it.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Run tests with pkgos-dh_auto_test.
    - d/python-keystone.install: Drop, not needed.
    - d/keystone.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-keystone.post*, d/python(3)-keystone.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for keystone daemons and add shebang tests.
    - d/tests/keystone-daemons: Use curl to test API.
  * d/rules: Set PYTHONPATH to include keystone when running tests.
  * d/control: Ensure python(3)-freezegun has Py3.7 fixes.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Jul 2018 15:01:37 -0400

keystone (2:14.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/control: Drop python-pyldap as the fork has since been merged back
    into python-ldap.
  * New upstream milestone for OpenStack Rocky.
  * d/keystone.conf.dist, d/p/add-version-info.patch: Move the keystone.conf
    update to [extra_headers] that sets "Distribution = Ubuntu" from
    add-version-info.patch to debian/keystone.conf.dist.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 14:18:05 -0400

keystone (2:14.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 14.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.
  * d/p/msgpack-python-compat.patch: Dropped. No longer needed.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/control: Use https URLs.
  * d/control: Drop obsolete XS-Testsuite: autopkgtest header.
  * d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 May 2018 14:23:02 -0700
