=== debian/control ===
--- 
+++ 
@@ -12,6 +12,9 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
+ python3-all,
+ python3-pbr (>= 2.0.0),
+ python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  crudini,
@@ -19,10 +22,12 @@
  python-bashate (>= 0.5.1),
  python-bcrypt (>= 3.1.3),
  python-coverage (>= 4.0),
- python-cryptography (>= 1.9),
+ python-cryptography (>= 2.1),
  python-dogpile.cache (>= 0.6.2),
  python-fixtures (>= 3.0.0),
- python-freezegun (>= 0.3.6),
+ python-flask,
+ python-flask-restful,
+ python-freezegun (>= 0.3.9-1ubuntu1~),
  python-hacking (>= 0.12.0),
  python-jsonschema (>= 2.6.0),
  python-keystoneclient (>= 1:3.8.0),
@@ -34,17 +39,17 @@
  python-migrate (>= 0.11.0),
  python-mock (>= 2.0.0),
  python-msgpack (>= 0.4.0),
- python-oauthlib (>= 0.6.0),
+ python-oauthlib (>= 0.6.2),
  python-openstackdocstheme (>= 1.18.1),
  python-os-api-ref (>= 1.4.0),
  python-os-testr (>= 1.0.0),
  python-oslo.cache (>= 1.26.0),
- python-oslo.concurrency (>= 3.25.0),
- python-oslo.config (>= 1:5.1.0),
- python-oslo.context (>= 1:2.19.2),
+ python-oslo.concurrency (>= 3.26.0),
+ python-oslo.config (>= 1:5.2.0),
+ python-oslo.context (>= 1:2.21.0),
  python-oslo.db (>= 4.27.0),
  python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
+ python-oslo.log (>= 3.39.0),
  python-oslo.messaging (>= 5.29.0),
  python-oslo.middleware (>= 3.31.0),
  python-oslo.policy (>= 1.30.0),
@@ -59,7 +64,7 @@
  python-pycadf (>= 1.1.0),
  python-pymongo,
  python-pymysql,
- python-pysaml2 (>= 4.0.2),
+ python-pysaml2 (>= 4.5.0),
  python-requests (>= 2.14.2),
  python-routes (>= 2.3.1),
  python-scrypt (>= 0.8.0),
@@ -73,12 +78,73 @@
  python-tz (>= 2013.6),
  python-webob (>= 1:1.7.1),
  python-webtest (>= 2.0.27),
-Standards-Version: 4.1.2
+ python3-babel (>= 2.3.4),
+ python3-bashate (>= 0.5.1),
+ python3-bcrypt (>= 3.1.3),
+ python3-coverage (>= 4.0),
+ python3-cryptography (>= 2.1),
+ python3-dogpile.cache (>= 0.6.2),
+ python3-fixtures (>= 3.0.0),
+ python3-flask,
+ python3-flask-restful,
+ python3-freezegun (>= 0.3.9-1ubuntu1~),
+ python3-hacking (>= 0.12.0),
+ python3-jsonschema (>= 2.6.0),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-ldap,
+ python3-ldappool (>= 2.0.0),
+ python3-lxml (>= 3.4.1),
+ python3-memcache,
+ python3-migrate (>= 0.11.0),
+ python3-mock (>= 2.0.0),
+ python3-msgpack (>= 0.4.0),
+ python3-oauthlib (>= 0.6.2),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-os-api-ref (>= 1.4.0),
+ python3-os-testr (>= 1.0.0),
+ python3-oslo.cache (>= 1.26.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.21.0),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.39.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-passlib (>= 1.7.0),
+ python3-paste (>= 2.0.2),
+ python3-pastedeploy (>= 1.5.0),
+ python3-pep8,
+ python3-pycadf (>= 1.1.0),
+ python3-pymongo,
+ python3-pymysql,
+ python3-pysaml2 (>= 4.5.0),
+ python3-reno (>= 2.5.0),
+ python3-requests (>= 2.14.2),
+ python3-routes (>= 2.3.1),
+ python3-scrypt (>= 0.8.0),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-tempest (>= 1:17.1.0),
+ python3-testresources (>= 2.0.0),
+ python3-testtools (>= 2.2.0),
+ python3-tz (>= 2013.6),
+ python3-webob (>= 1:1.7.1),
+ python3-webtest (>= 2.0.27),
+Standards-Version: 4.1.4
 XS-Python-Version: >= 2.7
-Homepage: http://launchpad.net/keystone
+Homepage: https://launchpad.net/keystone
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
-XS-Testsuite: autopkgtest
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
+Testsuite: autopkgtest-pkg-python
 
 Package: keystone
 Architecture: all
@@ -86,11 +152,10 @@
 Depends:
  adduser,
  apache2 | httpd,
- libapache2-mod-wsgi,
- python-keystone (= ${source:Version}),
+ libapache2-mod-wsgi | libapache2-mod-wsgi-py3,
+ python-keystone (= ${source:Version}) | python3-keystone (= ${source:Version}),
  ssl-cert (>= 1.0.12),
  ${misc:Depends},
- ${python:Depends},
 Recommends:
  ${misc:Recommends},
 Description: OpenStack identity service - Daemons
@@ -127,23 +192,26 @@
 Architecture: all
 Section: python
 Depends:
+ keystone-common (= ${source:Version}),
  python-babel (>= 2.3.4),
  python-bcrypt (>= 3.1.3),
- python-cryptography (>= 1.9),
+ python-cryptography (>= 2.1),
  python-dogpile.cache (>= 0.6.2),
+ python-flask,
  python-jsonschema (>= 2.6.0),
+ python-ldap,
  python-keystoneclient (>= 1:3.8.0),
  python-keystonemiddleware (>= 4.17.0),
  python-migrate (>= 0.11.0),
  python-msgpack (>= 0.4.0),
- python-oauthlib (>= 0.6.0),
+ python-oauthlib (>= 0.6.2),
  python-oslo.cache (>= 1.26.0),
- python-oslo.concurrency (>= 3.25.0),
- python-oslo.config (>= 1:5.1.0),
- python-oslo.context (>= 1:2.19.2),
+ python-oslo.concurrency (>= 3.26.0),
+ python-oslo.config (>= 1:5.2.0),
+ python-oslo.context (>= 1:2.21.0),
  python-oslo.db (>= 4.27.0),
  python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
+ python-oslo.log (>= 3.39.0),
  python-oslo.messaging (>= 5.29.0),
  python-oslo.middleware (>= 3.31.0),
  python-oslo.policy (>= 1.30.0),
@@ -156,7 +224,7 @@
  python-pbr (>= 2.0.0),
  python-pycadf (>= 1.1.0),
  python-pymysql,
- python-pysaml2 (>= 4.0.2),
+ python-pysaml2 (>= 4.5.0),
  python-routes (>= 2.3.1),
  python-scrypt (>= 0.8.0),
  python-six (>= 1.10.0),
@@ -169,18 +237,102 @@
 Suggests:
  python-ldappool (>= 2.0.0),
  python-memcache,
- python-pyldap (>= 2.4.20),
 Provides:
  ${python:Provides},
 XB-Python-Version: ${python:Versions}
-Description: OpenStack identity service - Python library
- Keystone is a proposed independent authentication service for OpenStack.
- .
- This initial proof of concept aims to address the current use cases in Swift
- and Nova which are:
- .
-  * REST-based, token auth for Swift
-  * many-to-many relationship between identity and tenant for Nova. Keystone
-    does authentication and stuff
- .
- This package contains the Python libraries.
+Description: OpenStack identity service - Python 2 library
+ Keystone is a proposed independent authentication service for OpenStack.
+ .
+ This initial proof of concept aims to address the current use cases in Swift
+ and Nova which are:
+ .
+  * REST-based, token auth for Swift
+  * many-to-many relationship between identity and tenant for Nova. Keystone
+    does authentication and stuff
+ .
+ This package contains the Python 2 libraries.
+
+Package: python3-keystone
+Architecture: all
+Section: python
+Depends:
+ keystone-common (= ${source:Version}),
+ python3-babel (>= 2.3.4),
+ python3-bcrypt (>= 3.1.3),
+ python3-cryptography (>= 2.1),
+ python3-dogpile.cache (>= 0.6.2),
+ python3-flask,
+ python3-jsonschema (>= 2.6.0),
+ python3-ldap,
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-migrate (>= 0.11.0),
+ python3-msgpack (>= 0.4.0),
+ python3-oauthlib (>= 0.6.2),
+ python3-oslo.cache (>= 1.26.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.21.0),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.39.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-passlib (>= 1.7.0),
+ python3-paste (>= 2.0.2),
+ python3-pastedeploy (>= 1.5.0),
+ python3-pbr (>= 2.0.0),
+ python3-pycadf (>= 1.1.0),
+ python3-pymysql,
+ python3-pysaml2 (>= 4.5.0),
+ python3-routes (>= 2.3.1),
+ python3-scrypt (>= 0.8.0),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stevedore (>= 1:1.20.0),
+ python3-tz (>= 2013.6),
+ python3-webob (>= 1:1.7.1),
+ ${misc:Depends},
+ ${python3:Depends},
+Suggests:
+ python3-ldappool (>= 2.0.0),
+ python3-memcache,
+Provides:
+ ${python3:Provides},
+XB-Python-Version: ${python3:Versions}
+Description: OpenStack identity service - Python 3 library
+ Keystone is a proposed independent authentication service for OpenStack.
+ .
+ This initial proof of concept aims to address the current use cases in Swift
+ and Nova which are:
+ .
+  * REST-based, token auth for Swift
+  * many-to-many relationship between identity and tenant for Nova. Keystone
+    does authentication and stuff
+ .
+ This package contains the Python 3 libraries.
+
+Package: keystone-common
+Architecture: all
+Section: python
+Depends:
+ ${misc:Depends},
+Breaks:
+ keystone (<< 2:14.0.0~b2-0ubuntu2~),
+Replaces:
+ keystone (<< 2:14.0.0~b2-0ubuntu2~),
+Description: OpenStack identity service - Common files
+ Keystone is a proposed independent authentication service for OpenStack.
+ .
+ This initial proof of concept aims to address the current use cases in Swift
+ and Nova which are:
+ .
+  * REST-based, token auth for Swift
+  * many-to-many relationship between identity and tenant for Nova. Keystone
+    does authentication and stuff
+ .
+ This package contains the common files.
