## keystone 14.0.1

=== debian/changelog ===
keystone (2:14.0.1-2) unstable; urgency=medium

  * Add PY3_switch_to_using_unicode_text_values.patch and requires
    python3-ldappool >= 2.3.1, which fixes using ldap with Keystone under
    Python 3 (Closes: #923949).

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Mar 2019 12:19:47 +0100

keystone (2:14.0.1-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version
  * d/control: Add me to uploaders field
  * d/copyright: Add me to copyright file

  [ Thomas Goirand ]
  * Update German debconf translation thanks to Chris Leick
    <c.leick@vollbio.de> (Closes: #910622).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 09:38:02 +0100

keystone (2:14.0.0-2) unstable; urgency=medium

  * Do not run keystone.tests.unit.test_sql_upgrade tests, as it looks like
    broken if using SQLite (Closes: #909989).
  * Install correctly the examples folder into keystone-doc (ie: no nested
    examples folder).

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Oct 2018 08:50:53 +0200

keystone (2:14.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated debconf translations, with thanks to:
    - fr.po, Julien Patriarca (Closes: #901433).
    - nl.po, Frans Spiesschaert (Closes: #898866).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 13:04:10 +0200

keystone (2:14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - remove_at_expression_from_tags.patch
    - CVE-2018-14432_Reduce_duplication_in_federated_auth_APIs.patch
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 14:28:30 +0200

keystone (2:13.0.0-7) unstable; urgency=high

  [ Michal Arbet ]
  * Remove auth-token stuff

  [ Thomas Goirand ]
  * Removed using twice --bootstrap-region-id ${REGION_NAME} when doing the
    keystone bootstraping.
  * CVE-2018-14432: authenticated user may discover projects they have no
    authority to access, leaking all projects in the deployment and their
    attributes. Applie upstream patch for Ocata rebased to Newton: "Reduce
    duplication in federated auth APIs (Closes: #904616).

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Apr 2018 11:08:58 +0000

keystone (2:13.0.0-6) unstable; urgency=medium

  * Do not create role admin, created during bootstrap.
  * Added selection of endpoint protocol (ie: http / https).

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Mar 2018 12:12:14 +0000

keystone (2:13.0.0-5) unstable; urgency=medium

  * Switch back to Apache instead of uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Mar 2018 20:30:01 +0100

keystone (2:13.0.0-4) unstable; urgency=medium

  * Calls systemctl enable keystone-admin / keystone-public before starting.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Mar 2018 16:26:30 +0100

keystone (2:13.0.0-3) unstable; urgency=medium

  * Switch back to using invoke-rc.d instead of service.
  * Remove option --no-orphans for uwsgi: this creates some 104 errors (ie: TCP
    connection reset by peer).

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Mar 2018 15:56:50 +0100

keystone (2:13.0.0-2) unstable; urgency=medium

  * Switch to using service start instead of invoke-rc.d to start keystone
    from postinst.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Mar 2018 09:03:24 +0000

keystone (2:13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to uwsgi instead of Apache.
  * Explicitely use python3 versions of config file generators.
  * Allow setting-up endpoints with IPv6 or FQDN when using debconf.
  * Handle policy.json correctly.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 09:55:14 +0000

keystone (2:13.0.0~rc2-1) unstable; urgency=medium

  * New upstream rc release.
  * Uploading to unstable.
  * Add remove_at_expression_from_tags.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 10:31:50 +0000

keystone (2:13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 10:26:17 +0000

keystone (2:13.0.0~rc1-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Add new role, rating, needed for cloudkitty.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Fixed tests to use pkgos-dh_auto_test and stestr.
  * Remove init-system-helpers from depends, as it's essential.
  * Also package examples.
  * Remove dh-systemd.
  * Switched to Python 3:
    - Blacklist broken test: SAMLGenerationTests.test_sign_assertion_exc.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2018 13:26:44 +0000

keystone (2:12.0.0-2) unstable; urgency=medium

  * Testing if a2dissite is available in postrm (Closes: #844448).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 11:51:03 +0000

keystone (2:12.0.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed obsolete patches.
  * Allow Babel 2.4.0 (patch requirements.txt).
  * Do not install policy.json and keystone.py/wsgi.py.
  * Do not use --noverbose when doing db_sync.
  * Fixed generating keystone.conf and now generating keystone.policy.yaml.
  * Create a MANIFEST.in to install missing migration files.

