## keystone 14.1.0

=== debian/changelog ===
keystone (2:14.1.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky (LP: #1830695).
  * d/p/py3-switch-to-using-unicode-text-values.patch: Dropped. Already in
    14.1.0.
  * d/p/ensure-LDAP-searches-use-unicode-attributes.patch: Dropped. Already in
    14.1.0.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 11 Jun 2019 16:39:26 +0200

keystone (2:14.0.1-0ubuntu3) cosmic; urgency=medium

  * d/control, d/p/py3-switch-to-using-unicode-text-values.patch: Enable
    Keystone LDAP Python 3 support. Patch is cherry-picked from
    https://review.openstack.org/613648 (LP: #1798184).
  * d/p/ensure-LDAP-searches-use-unicode-attributes.patch: Cherry-picked
    from https://review.openstack.org/#/c/643670/ to fix LDAP backend
    searches (LP: #1820333).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 Mar 2019 07:35:02 -0400

keystone (2:14.0.1-0ubuntu2) cosmic; urgency=medium

  * d/control, d/p/py3-switch-to-using-unicode-text-values.patch: Enable
    Keystone LDAP Python 3 support. Patch is cherry-picked from
    https://review.openstack.org/613648 (LP: #1798184).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 11:31:48 -0400

keystone (2:14.0.1-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1806049).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Dec 2018 12:21:00 -0500
