=== debian/changelog ===
keystone (2:14.2.0-0ubuntu1~cloud1) bionic-rocky; urgency=medium

  * d/watch: Switch to opendev.org.
  * New stable point release for OpenStack Rocky (LP: #1875462).
  * d/p/000*-fixing-dn-to-id.patch: Dropped. Fixed in new stable
    point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 May 2020 13:22:39 -0400

keystone (2:14.1.0-0ubuntu1.1~cloud1) bionic-rocky; urgency=medium

  * d/p/000*-fixing-dn-to-id.patch: Fix LDAP backend's dn_to_id function
    for cases were id is not in the DN (LP: #1782922).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Sep 2019 11:15:56 +0200

keystone (2:14.1.0-0ubuntu1.1~cloud0) bionic; urgency=medium

  * d/p/token-consistently-decode-binary-types.patch: Ensure binary
    types are consistently decoded under Python 3 (LP: #1832265).

 -- James Page <james.page@ubuntu.com>  Fri, 14 Jun 2019 06:07:00 +0100
