=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
  python-keystoneclient (>= 1:3.8.0),
  python-keystonemiddleware (>= 4.17.0),
  python-ldap,
- python-ldappool (>= 2.0.0),
+ python-ldappool (>= 2.2.0-3ubuntu2~),
  python-lxml (>= 3.4.1),
  python-memcache,
  python-migrate (>= 0.11.0),
@@ -93,7 +93,7 @@
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-ldap,
- python3-ldappool (>= 2.0.0),
+ python3-ldappool (>= 2.2.0-3ubuntu2~),
  python3-lxml (>= 3.4.1),
  python3-memcache,
  python3-migrate (>= 0.11.0),
@@ -235,7 +235,7 @@
  ${misc:Depends},
  ${python:Depends},
 Suggests:
- python-ldappool (>= 2.0.0),
+ python-ldappool (>= 2.2.0-3ubuntu2~),
  python-memcache,
 Provides:
  ${python:Provides},
@@ -299,7 +299,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
- python3-ldappool (>= 2.0.0),
+ python3-ldappool (>= 2.2.0-3ubuntu2~),
  python3-memcache,
 Provides:
  ${python3:Provides},
