=== debian/tests/control ===
Tests: keystone-daemon, keystone-shebangs-py3
Depends: python3-keystone, libapache2-mod-wsgi-py3, keystone
Restrictions: needs-root

Tests: keystone-daemon, keystone-shebangs-py2
Depends: keystone
Restrictions: needs-root
