## keystone 15.0.0

=== debian/changelog ===
keystone (2:15.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:10:50 +0100

keystone (2:15.0.0~rc2-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 05 Apr 2019 14:22:09 +0200

keystone (2:15.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Track 15.x series.
  * New upstream release candidate for OpenStack Stein.
  * d/p/ensure-LDAP-searches-use-unicode-attributes.patch: Drop,
    included upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2019 16:45:45 +0000

keystone (2:15.0.0~b1~git2019031401.2c7bb275f-0ubuntu2) disco; urgency=medium

  * d/p/ensure-LDAP-searches-use-unicode-attributes.patch: Cherry-picked
    from https://review.openstack.org/#/c/643670/ to fix LDAP backend
    searches (LP: #1820333).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 Mar 2019 07:26:22 -0400

keystone (2:15.0.0~b1~git2019031401.2c7bb275f-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2019 07:19:19 +0000

keystone (2:15.0.0~b1~git2019013050.64ffe8c65-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebase.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 17:35:16 +0000

keystone (2:15.0.0~b1~git2018111457.b7dfb72a6-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/p/*: Refresh.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,python3-keystone.*: Make Python 3 modules the primary runtime
    dependency.
  * d/rules,tests/keystone-shebangs-py3: Use major version only for shebangs.
  * d/control,rules: Switch to Python 3 only.
  * d/tests: Update for Python 3 only.
  * d/keystone-common.install: Drop install of keystone-paste.ini with
    switch to flask.

 -- James Page <james.page@ubuntu.com>  Thu, 15 Nov 2018 11:32:30 +0000

keystone (2:14.0.0-0ubuntu3) disco; urgency=medium

  * d/tests/keystone-shebangs-py3: Update shebang for Python 3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:51:28 -0500
